HP OpenVMS Systems Documentation

Content starts here
HP OpenVMS Version 8.3 Upgrade and Installation Manual

Appendix F Installing the OpenVMS Internationalization Data Kit

  Table of Contents

  Glossary

  Index

The OpenVMS internationalization data kit (VMSI18N kit) provides locale data and iconv code converters for international software, utilities, and HP C international run-time routines.

The HP C RTL provides capabilities to allow application developers to create international software. The HP C RTL obtains information about a language and a culture by reading this information from locale files. This kit contains all of the supported locale files.

The kit also contains a set of Unicode codeset converters that allows conversion between any supported codeset (including DEC Multinational Character Set and Microsoft Code Page 437) to any Unicode encoding (UCS-2, UCS-4, or UTF-8).

If you are using these C RTL capabilities, you must install the VMSI18N kit on your system. This kit is provided on the OpenVMS media set as your OpenVMS kit. For the location of this kit, see the HP OpenVMS Version 8.3 Release Notes.

Prior to installation, review the release notes for the VMSI18N kit.

To install this save set, follow the standard OpenVMS installation procedures. Use VMSI18N as the name of the kit. In the following example, dev is the device name and dir is the directory location of the kit.

$ PRODUCT INSTALL VMSI18N /SOURCE=dev:[dir]

Note that you can install any of the following categories of locales:

  • European and U.S.

  • Japanese

  • Korean

  • Thai

  • Chinese

  • Unicode

In the following installation example, the European and U.S., Japanese, and Unicode support options are selected.

   $ PRODUCT INSTALL VMSI18N /SOURCE=DKB200:[VMSI18N_I64083.KIT]

The following product has been selected:
HP I64VMS VMSI18N V8.3 Layered Product

Do you want to continue? [YES] YES

Configuration phase starting ...

You will be asked to choose options, if any, for each selected product and for
any products that may be installed to satisfy software dependency requirements.

HP I64VMS VMSI18N V8.3

Do you want the defaults for all options? [YES]
NO
European and U.S. support [YES] YES
Japanese support [YES] YES
Korean support [YES] NO
Thai support [YES] NO
Chinese support [YES] NO
Unicode support [YES] YES
Do you want to review the options? [NO] NO
Execution phase starting ...

The following product will be installed to destination:
HP I64VMS VMSI18N V8.3 DISK$I64SYS:[VMS$COMMON.]

Portion done: 0%...10%...20%...30%...40%...50%...60%...70%...80%...90%...100%

The following product has been installed:
HP I64VMS VMSI18N V8.3 Layered Product

$